Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class TestClientCertificateSelectionCallback

    java.lang.Object
      org.mozilla.jss.ssl.TestClientCertificateSelectionCallback

All Implemented Interfaces:
  SSLClientCertificateSelectionCallback

    public class TestClientCertificateSelectionCallback

extends java.lang.Object
implements SSLClientCertificateSelectionCallback

This interface is what you should implement if you want to be able to decide whether or not you want to approve the peer's cert, instead of having NSS do that.

Constructor Summary
`TestClientCertificateSelectionCallback()`

Method Summary
`java.lang.String` | `select(java.util.Vector nicknames)` this method will be called form the native callback code when a certificate is requested.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestClientCertificateSelectionCallback

    public TestClientCertificateSelectionCallback()

Method Detail

### select

    public java.lang.String select(java.util.Vector nicknames)

  this method will be called form the native callback code when a certificate is requested. You must return a String which is the nickname of the certificate you wish to present.

  Specified by:
    `select` in interface `SSLClientCertificateSelectionCallback`
  Parameters:
    `nicknames` - A Vector of Strings. These strings are an aid to the user to select the correct nickname. This list is made from the list of all certs which are valid, match the CA's trusted by the server, and which you have the private key of. If nicknames.length is 0, you should present an error to the user saying 'you do not have any unexpired certificates'.
  Returns:
    You must return the nickname of the certificate you wish to use. You can return null if you do not wish to send a certificate.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD